########################################################################
# SSR Dummy collections
########################################################################

name: ssr
meta:
    label: { de: "SSR Dummy", en: "ssr dummy" }
    muiIcon: server
    rowIdentTpl: { twig: "{{ id }}" }

    views:
        - type: simpleList
          mediaQuery: "(max-width: 600px)"
          primaryText: id
          secondaryText: insertTime
          tertiaryText: path
        - type: table
          columns:
              - id
              - insertTime
              - source: path
                filter: true
              - source: validUntil
              - dependencies

permissions:
    public:
        methods:
            get: true
            post: true
            put: false
            delete: false
    user:
        methods:
            get: true
            post: false
            put: false
            delete: true

hooks:
    get:
        read:
            type: javascript
            file: hooks/ssr/get_read.js
    post:
        bind:
            type: javascript
            file: hooks/ssr/post_bind.js

fields:
    - name: path
      type: string
      index: [single, unique]

    - name: content
      type: string
      meta:
          inputProps:
              multiline: true

    - name: validUntil
      type: date
      index: [single]
      meta:
          label:
              de: Gültig bis
              en: Valid until

    - name: dependencies
      type: string[]
      index: [single]
      meta:
          label:
              de: Abhängigkeiten
              en: Dependencies
